Returns a paginated list of payments matching the specified filters. You can filter by status, date range, destination country, currency, or custom labels.
Security
Bearer
- Mock serverhttps://docs.ripple.com/_mock/products/payments-direct-2/api-docs/payments-direct-api/payments-direct-2-api/v3/payments/filter
- UAT environment with simulated currencyhttps://api.test.ripple.com/v3/payments/filter
- Production environmenthttps://api.ripple.com/v3/payments/filter
curl -i -X POST \
https://docs.ripple.com/_mock/products/payments-direct-2/api-docs/payments-direct-api/payments-direct-2-api/v3/payments/filter \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"filter": {
"paymentIds": [
"aaaaaaaa-1111-bbbb-abab-123412341234"
],
"paymentStates": [
"INITIATED"
],
"filterRangeType": "PAYMENT_CREATION",
"beforeTimestamp": "2024-04-24T14:15:22Z",
"afterTimestamp": "2024-03-24T13:15:22Z",
"beneficiaryIdentityIds": [
"aaaaaaaa-1111-bbbb-abab-123412341234"
],
"internalId": "string",
"beneficiaryIdentityNickname": "Successful business beneficiary",
"destinationCurrencies": [
"string"
],
"paymentLabels": [
"batchId=aaaaaaaa-1111-bbbb-abab-123412341234"
]
},
"sort": {
"sortField": "initiatedAt",
"sortDirection": "DESC"
},
"page": {
"size": 20,
"lastPageToken": "string"
}
}'Payments matching the specified filtering criteria.
Response
{ "data": [ { … } ], "filter": { "paymentIds": [ … ], "paymentStates": [ … ], "filterRangeType": "PAYMENT_CREATION", "beforeTimestamp": "2024-04-24T14:15:22Z", "afterTimestamp": "2024-03-24T13:15:22Z", "beneficiaryIdentityIds": [ … ], "internalId": "string", "beneficiaryIdentityNickname": "Successful business beneficiary", "destinationCurrencies": [ … ], "paymentLabels": [ … ] }, "sort": { "sortField": "initiatedAt", "sortDirection": "DESC" }, "page": { "size": 20, "lastPageToken": "string" } }